> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easyflows.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List products



## OpenAPI

````yaml https://files.easyflows.io/openapi.json get /api/v1/products
openapi: 3.0.0
info:
  title: Easyflows
  version: v1
servers:
  - url: https://{subdomain}.easyflows.io
    variables:
      subdomain:
        default: demo
        description: Subdomain of the project
security: []
paths:
  /api/v1/products:
    get:
      tags:
        - Products
      summary: List products
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Product'
                    description: The array of data returned by the API endpoint.
                  meta:
                    type: object
                    properties:
                      total:
                        type: number
                        description: The total number of items available.
                        example: 1
                      page:
                        type: number
                        description: The current page number.
                        example: 1
                      limit:
                        type: number
                        description: The number of items per page.
                        example: 20
                    required:
                      - total
                      - page
                      - limit
                    description: Metadata about the paginated response.
                required:
                  - data
                  - meta
        '400':
          description: Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: A description of the error that occurred.
                required:
                  - error
components:
  schemas:
    Product:
      type: object
      nullable: true
      properties:
        id:
          type: string
          description: The unique identifier of the product.
          example: 0b0abfba-18a4-4b7e-9179-e0cec1f2994f
        ref:
          type: string
          description: The reference identifier of the product (inside platform).
          example: tebex-5ea84f
        platform:
          type: string
          description: The platform of the product (e.g. Tebex).
          example: tebex
        name:
          type: string
          description: The name of the product.
          example: Example Product
        image:
          type: string
          description: The image URL of the product.
          example: https://example.com/image.jpg
        description:
          type: string
          description: The description of the product.
          example: This is an example product.
      required:
        - id
        - ref
        - platform
        - name
      description: The product that the review is about.

````